[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TJPEGImage.Smoothing

Indicates if smoothing is applied to the raw image data.

## Declaration

Source position: graphics.pp line 1826

`public property TJPEGImage.Smoothing : Boolean read FSmoothing write FSmoothing;`

## Description

Smoothing is a Boolean property which indicates if smoothing is applied to raw data in the image. Smoothing uses a low pass filter to remove high spatial frequency noise from a digital image.

The value in Smoothing is used in the InitializeReader method to configure the image reader used to load the raw image data. Set the value in Smoothing prior to calling methods which load the image content using an FCL-compatible image reader.